// creator  : weidu.exe (version 23100)
// argument : SUELF12.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SUELF12~

IF ~NumTimesTalkedTo(0)
Global("ElvenAvatar","GLOBAL",0)~ THEN BEGIN 0 // from:
  SAY #57805 /* ~Greetings, stranger.  You have fought your way through the city, have you?  How is it that you came here?  I thought the Exile had hidden the city from all view.~ */
  IF ~~ THEN REPLY #57806 /* ~I am here with Elhan... he is evacuating people at the city gates.~ */ GOTO 1
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #57807 /* ~Elhan? Good to know, but I cannot take all these wounded to the gates... we are safe for the moment. These creatures must be stopped soon or we are all doomed!~ */
  IF ~~ THEN REPLY #57809 /* ~Do you know where the Exile is?~ */ GOTO 2
  IF ~~ THEN REPLY #57810 /* ~What happened here?~ */ GOTO 4
  IF ~~ THEN REPLY #57811 /* ~I'll be on my way.~ */ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 4.0 1.0
  SAY #57812 /* ~We all saw the Exile arrive on a black dragon.  The dragon landed outside the city to the northwest... but we were too busy fighting golems to notice much else.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #6501 /* ~Getting Inside the Palace in Suldanessellar

The black dragon that Irenicus apparently rode to Suldanessellar on is outside of the city to the northwest.~ */ GOTO 3
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY #57813 /* ~Last we heard, the Exile entered the palace and sealed the gate. Nothing can break through. Queen Ellesime is within, as is the Tree of Life... no doubt his target.~ */
  IF ~~ THEN REPLY #57814 /* ~What happened here, then?~ */ JOURNAL #6279 /* ~Getting Inside the Palace in Suldanessellar

Irenicus is apparently inside the palace, and has sealed the gates with his magic.  Queen Ellesime is also within, as is the Tree of Life... This must be Irenicus' true target.~ */ FLAGS 128 GOTO 4
  IF ~~ THEN REPLY #57815 /* ~I'll be on my way.~ */ UNSOLVED_JOURNAL #6279 /* ~Getting Inside the Palace in Suldanessellar

Irenicus is apparently inside the palace, and has sealed the gates with his magic.  Queen Ellesime is also within, as is the Tree of Life... This must be Irenicus' true target.~ */ GOTO 5
END

IF ~~ THEN BEGIN 4 // from: 3.0 1.1
  SAY #57816 /* ~We retreated here when it was obvious we couldn't stand against the Exile's creatures. Many of us died... now all we can hope is that the army gets through.~ */
  IF ~~ THEN REPLY #57818 /* ~Do you know where the Exile is?~ */ GOTO 2
  IF ~~ THEN REPLY #57820 /* ~I'll be on my way.~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.1 3.1 1.2
  SAY #57821 /* ~As you wish, stranger.  If you can help us out in any way, you or Elhan, I hope that you do it quickly.  I have no idea how much longer we can hold out, here.~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",0)~ THEN BEGIN 6 // from:
  SAY #57822 /* ~I don't have time to talk, stranger.  Too much to do, here.  If you can help, do it quickly before the entire city falls to that foul Exile.~ */
  IF ~~ THEN EXIT
END

IF ~Global("ElvenAvatar","GLOBAL",1)~ THEN BEGIN 7 // from:
  SAY #57823 /* ~The old guardians!  Raised up against the creatures the Exile brought with him!  A... a magnificent sight!  Well done!  Well done!!~ */
  IF ~~ THEN EXIT
END
